# Register domains for Apple Pay

Add domains to be registered with Apple Pay.

Any domains that will be used to accept payments must first be [verified](https://docs.moov.io/guides/sources/cards/apple-pay/#register-your-domains) with Apple.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/apple-pay.write` scope.

## POST

### /accounts/{accountID}/apple-pay/domains

### Ask

```shell
curl -X POST "https://api.moov.io/accounts/{accountID}/apple-pay/domains" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Ask

```go
mc, _ := moov.NewClient()

var accountID string
domains := []string{"checkout.classbooker.dev"}

mc.CreateApplePayDomain(ctx, accountID,
  moov.ApplePayDomains{
    DisplayName: "Example account",
    Domains:     domains,
  })
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.applePay.registerMerchantDomains({
    accountID: "60825531-8c7e-421c-8014-019c6603250c",
    registerApplePayMerchantDomains: {
      domains: [
        "checkout.classbooker.dev",
      ],
    },
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
